/// <reference types="node" />
import { Terraform, TerraformPlan, TerraformOutput, PlannedResource } from './terraform';
export declare class TerraformCliPlan implements TerraformPlan {
    readonly planFile: string;
    readonly plan: {
        [key: string]: any;
    };
    constructor(planFile: string, plan: {
        [key: string]: any;
    });
    get resources(): PlannedResource[];
    get applyableResources(): PlannedResource[];
    get needsApply(): boolean;
}
export declare class TerraformCli implements Terraform {
    readonly workdir: string;
    constructor(workdir: string);
    init(): Promise<void>;
    plan(destroy?: boolean): Promise<TerraformPlan>;
    deploy(planFile: string, stdout: (chunk: Buffer) => any): Promise<void>;
    destroy(stdout: (chunk: Buffer) => any): Promise<void>;
    version(): Promise<string>;
    output(): Promise<{
        [key: string]: TerraformOutput;
    }>;
    private get stateFileOption();
    setUserAgent(): Promise<void>;
}
